﻿@model DataLayer.Model.Task
@using DataLayer.Model.Enums
@using Client_app.Classes
@{
    ViewData["Title"] = "EditTask";
    Layout = "~/Views/Shared/_AccountLayout.cshtml";
    List<DataLayer.Model.Category> cat = ViewBag.categorys as List<DataLayer.Model.Category>;
    List<DataLayer.Model.Category> subcat = ViewBag.subcategory as List<DataLayer.Model.Category>;

}

<div class="card shadow-sm mt-3">
    <div class="card-header">ویرایش تسک</div>
    <div class="card-body">
        <form asp-action="EditTask" method="post">
            <input type="hidden" asp-for="TaskId" />

            <div class="form-group">
                <label>عنوان</label>
                <input asp-for="Name" class="form-control" />
            </div>
            <div class="form-group">
                <label>دسته بندی اصلی</label>
                <select class="form-control " asp-for="CategoryId" id="editcategory">
                    <option value="0">انتخاب کنید</option>
                    @foreach (var item in cat)
                    {
                        if (item.CategoryId == Model.CategoryId)
                        {
                            <option value="@item.CategoryId" selected>@item.Title</option>
                        }
                        else
                        {
                            <option value="@item.CategoryId">@item.Title</option>
                        }

                    }

                </select>
            </div>

            <div class="form-group">
                <label>دسته بندی فرعی</label>
                <select class="form-control " id="editsubcategory">

                    @foreach (var item in subcat)
                    {
                        if (item.CategoryId == Model.CategoryId)
                        {
                            <option value="@item.CategoryId" selected>@item.Title</option>
                        }
                        else
                        {
                            <option value="@item.CategoryId">@item.Title</option>
                        }
                    }

                </select>
            </div>

            <div class="form-group">
                <label>توضیحات</label>
                <input asp-for="Description" class="form-control" />
            </div>

            <div class="form-group">
                <label>تاریخ اتمام</label>
                <input asp-for="Date" type="text" class="form-control" />
            </div>


            <div class="form-group">
                <label>انجام شده</label>
                <input asp-for="IsDone" type="radio" value="@IsDoneEnum.isdone" />
                <label>انجام نشده</label>
                <input asp-for="IsDone" type="radio" value="@IsDoneEnum.notdone" />
            </div>

            <div class="form-group">
                <button class="btn btn-success">ثبت</button>
            </div>

        </form>

    </div>
</div>


@section srcript{




    <script>
        $("#editcategory").change(function () {
            $("#editsubcategory").empty();
            $.getJSON("/GetSubGroup/" + $("#editcategory :selected").val(),
                function (data) {

                    $.each(data,
                        function () {
                            $("#editsubcategory").append('<option value=' + this.categoryid + '>' + this.title + '</option>');

                        });
                });


        });
    </script>


}